Bug 215981 - [new port] audio/zita-resampler: C++ library for resampling audio signals
Summary: [new port] audio/zita-resampler: C++ library for resampling audio signals
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-11 22:36 UTC by Goran Mekić
Modified: 2017-01-31 17:34 UTC (History)
0 users

See Also:


Attachments
zita-resampler.shar (4.61 KB, text/plain)
2017-01-11 22:36 UTC, Goran Mekić
no flags Details
zita-resampler.shar (5.00 KB, text/plain)
2017-01-29 20:15 UTC, Goran Mekić
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Goran Mekić 2017-01-11 22:36:24 UTC
Created attachment 178765 [details]
zita-resampler.shar
Comment 1 Dmitry Marakasov freebsd_committer 2017-01-29 15:28:11 UTC
- shar is broken (probably due to missing newline at the end of pkg-descr
- LICENSE should be GPLv3+
- WRKSRC_SUBDIR should not be placed in the first block, see portlint output
- build must respect CXX, so use ${CXX} instead of hardcoding `c++'
- build must respect CXXFLAGS and may not use -march=native, you may fix it by patching the Makefile like this:

-CXXFLAGS += -Wall -fPIC -O2 -ffast-math
-CXXFLAGS += -march=native
+CXXFLAGS += -Wall -fPIC

- installation may not call ldconfig
- since you are patching the Makefile anyway, just fix it to do installation properly and don't define post-install in port's Makefile. For instalnce, you may set SUFFIX to empty string to avoid the need to move files around
- Makefile doesn't seem to respect PREFIX either, so it should use PREFIX?=
Comment 2 Goran Mekić 2017-01-29 20:15:08 UTC
Created attachment 179405 [details]
zita-resampler.shar

Thank you for the feedback. I hope I've done it right this time.
Comment 3 commit-hook freebsd_committer 2017-01-31 17:33:19 UTC
A commit references this bug:

Author: amdmi3
Date: Tue Jan 31 17:33:07 UTC 2017
New revision: 432939
URL: https://svnweb.freebsd.org/changeset/ports/432939

Log:
  Zita-resampler is a C++ library for resampling audio signals. It is designed to
  be used within a real-time processing context, to be fast, and to provide
  high-quality sample rate conversion.

  The library operates on signals represented in single-precision floating point
  format. For multichannel operation both the input and output signals are assumed
  to be stored as interleaved samples.

  The API allows a trade-off between quality and CPU load. For the latter a range
  of approximately 1:6 is available. Even at the highest quality setting
  libzita-resampler will be faster than most similar libraries providing the same
  quality, e.g. libsamplerate.

  WWW: http://kokkinizita.linuxaudio.org/linuxaudio/zita-resampler/resampler.html

  PR:		215981
  Submitted by:	meka@tilda.center

Changes:
  head/audio/Makefile
  head/audio/zita-resampler/
  head/audio/zita-resampler/Makefile
  head/audio/zita-resampler/distinfo
  head/audio/zita-resampler/files/
  head/audio/zita-resampler/files/patch-Makefile
  head/audio/zita-resampler/pkg-descr
  head/audio/zita-resampler/pkg-plist
Comment 4 Dmitry Marakasov freebsd_committer 2017-01-31 17:34:39 UTC
Committed with minor changes:

- Moved so.1 link creating into upstream Makefile
- Use BSD_INSTALL_* macros in upstream Makefile to make library properly stripped
- Simplify the port Makefile